
@for $i from 0 through 9 {
  .mt--#{$i} { margin-top: $i * 1em; }
  .mr--#{$i} { margin-right: $i * 1em; }
  .mb--#{$i} { margin-bottom: $i * 1em; }
  .ml--#{$i} { margin-left: $i * 1em; }
  .pt--#{$i} { padding-top: $i * 1em; }
  .pr--#{$i} { padding-right: $i * 1em; }
  .pb--#{$i} { padding-bottom: $i * 1em; }
  .pl--#{$i} { padding-left: $i * 1em; }
}

@for $i from 1 through 9 {
  .mt--#{$i*10} { margin-top: $i * 10px; }
  .mr--#{$i*10} { margin-right: $i * 10px; }
  .mb--#{$i*10} { margin-bottom: $i * 10px; }
  .ml--#{$i*10} { margin-left: $i * 10px; }
  .pt--#{$i*10} { padding-top: $i * 10px; }
  .pr--#{$i*10} { padding-right: $i * 10px; }
  .pb--#{$i*10} { padding-bottom: $i * 10px; }
  .pl--#{$i*10} { padding-left: $i * 10px; }
}

.mt--05 { margin-top: 0.5em; }
.mr--05 { margin-right: 0.5em; }
.mb--05 { margin-bottom: 0.5em; }
.ml--05 { margin-left: 0.5em; }
.pt--05 { padding-top: 0.5em; }
.pr--05 { padding-right: 0.5em; }
.pb--05 { padding-bottom: 0.5em; }
.pl--05 { padding-left: 0.5em; }
